﻿@model SportsClub.Models.ParticipantViewModel
@using Jumbula.Common.Constants
@using Jumbula.Common.Helper



@using (Html.BeginForm("ParticipantInformation", "Registrant", FormMethod.Post, new { @id = "ParticipantInformation", @name = "myForm" }))
{
    @Html.AntiForgeryToken()

    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "title ng-binding req-star" })
                @Html.TextBoxFor(model => model.FirstName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "title ng-binding req-star" })
                @Html.TextBoxFor(model => model.LastName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
            </div>

        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.Info.Grade, htmlAttributes: new { @class = "title ng-binding" })
                @Html.DropDownListFor(model => model.Info.Grade, Model.Info.GradeList, new { @class = "form-control select-date" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.DOB, htmlAttributes: new { @class = "title ng-binding" })
                @Html.TextBoxFor(model => model.DOB, "{0:d MMM yyyy}", new { @class = "form-control mask_date", @placeholder = "MM/DD/YYYY" })
                @Html.ValidationMessageFor(model => model.DOB, "", new { @class = "text-danger" })


            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "title ng-binding" })
                @Html.TextBoxFor(model => model.Email, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.Gender, htmlAttributes: new { @class = "title ng-binding" })
                @Html.DropDownListFor(model => model.Gender, Model.Info.GenderList, new { @class = "form-control select-date" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(model => model.Info.HasPermissionPhotography, htmlAttributes: new { @class = "title ng-binding" })
                @Html.DropDownListFor(model => model.Info.HasPermissionPhotography, new List<SelectListItem>()
                    {
                        new SelectListItem() { Text = "", Value = ""},
                        new SelectListItem() { Text = "No", Value = "False"},
                        new SelectListItem() { Text = "Yes", Value = "True" },

                    }, new { @id = "flag", @class = "form-control" })

            </div>
        </div>
    </div>
    @Html.Hidden("ContactId", Model.ContactId, new { id = "hdnContactId" })
    @Html.Hidden("PlayerId", Model.PlayerId, new { id = "hdnPlayerId" })
    @Html.Hidden("UserId", Model.UserId, new { id = "hdnUserId" })
    @Html.Hidden("PageMode", Model.PageMode, new { id = "hdnPageMode" })
    @Html.Hidden("PageStep", Model.PageStep, new { id = "hdnPageStep" })

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <a onClick="EditDetailsPlayer()" class="btn btn_side-right-bottom btn_color-green">Submit</a>
                <a href="@Url.Action("GetFamiliesProfile", "Registrant")" class="btn btn_side-right-bottom btn_type-simple">Cancel</a>
            </div>
        </div>
    </div>


}

